﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.RiskAssessmentRCM
@{
    ViewData["Title"] = "Index";
}
<style>
    a:hover {
        color: white;
    }

    .backtolist {
        padding: 2px 10px !important;
        margin-top: 0px !important;
    }

    tr td:first-child {
        text-align: left;
    }
</style>

<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Risk Control Matrix
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="GenerateRCMView" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label class="required">Organization</label>
                            <div class="select_box m_bottom">
                                @Html.DropDownListFor(m => m.OrgID, Model.DdlParentOrg, "--Select--", new { @class = "form-control m_no multiple chosen-select", required = "required",disabled="disabled" })
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="select_box m_bottom">
                                <div class="table_control">
                                    <table class="table" id="tblRCmControls">
                                        <thead>
                                            <tr>
                                                <th>Domain</th>
                                                <th>Sub-Domain</th>
                                                <th>Control Name</th>
                                                <th>Control Description</th>
                                                <th>Control ID</th>
                                                <th>Control Type</th>
                                                <th>Governance</th>
                                                <th>Application</th>
                                                <th>Infrastructure</th>
                                                <th>Cloud</th>
                                                <th>Networks</th>
                                                <th>People</th>
                                                <th>Location</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (var item in Model.RcmControlList)
                                            {
                                            <tr>
                                                <td>@item.DomainName</td>
                                                <td>@item.SubDomainName</td>
                                                <td>@item.ControlName</td>
                                                <td>@item.ControlDescription</td>
                                                <td>@item.ControlId</td>
                                                <td>@item.ControlTypeName</td>
                                                <td>@(item.Governance==true ? "Yes" : "No") </td>
                                                <td>@(item.Application == true ? "Yes" : "No")</td>
                                                <td>@(item.Infrastructure == true ? "Yes" : "No")</td>
                                                <td>@(item.Cloud == true ? "Yes" : "No")</td>
                                                <td>@(item.Networks == true ? "Yes" : "No")</td>
                                                <td>@(item.People == true ? "Yes" : "No")</td>
                                                <td>@(item.Location == true ? "Yes" : "No")</td>
                                            </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>